import { WorkspaceWithoutExplicitArgs } from "../utils/workspace.js";
import { OptionDefinition } from "./options.js";
import { ComposerCheckConfig, ComposerConfig, InlineComposerConfig, PostInstallationCheck, PreInstallationCheck } from "./config.js";
import { OptionValues } from "commander";
import { RemoteControlOptions } from "./remoteControl.js";
export declare function executeComposer<Args extends OptionDefinition>(config: ComposerConfig<Args>, checks: ComposerCheckConfig<Args>, remoteControlOptions?: RemoteControlOptions): Promise<void>;
export declare function determineWorkingDirectory(options: OptionValues): any;
export declare function installPackages(config: InlineComposerConfig<OptionDefinition>, workspace: WorkspaceWithoutExplicitArgs): Promise<void>;
export declare function generateComposerInfo(pkg: any): {
    id: string;
    package: string;
    version: string;
};
export declare function runPreInstallationChecks(checks: PreInstallationCheck[]): Promise<void>;
export declare function runPostInstallationChecks(checks: PostInstallationCheck[]): Promise<void>;
